About a swap to an LT1 or LS1 - Team Camaro Tech
Engine General Engine Discussion.

 
LinkBack Thread Tools Display Modes
post #1 of 2 (permalink) Old Jan 19th, 05, 10:58 AM Thread Starter
 
Join Date: Jan 2005
Posts: 2
Post

I have a 1991 z28 350tpi...and well its just not really anything compared to my friends 1995 z28 LT1. Would I be able to swap an LT1 or LS1 into my car? and if so, what would i have to modify to do so
kjs1991z28 is offline  
Sponsored Links
Advertisement
 
post #2 of 2 (permalink) Old Jan 19th, 05, 11:01 AM
Senior Tech
 
Join Date: Dec 2002
Location: brick,nj
Posts: 302
Post

check out this site these guys have done what you want to do a number of times.

http://www.thirdgen.org/techbb2/foru...p?s=&forumid=6


To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
emtcee1973 is offline  
Sponsored Links
Advertisement
 
Reply

Quick Reply
Message:
Options

Register Now



In order to be able to post messages on the Team Camaro Tech forums, you must first register.
Please enter your desired user name, your email address and other required details in the form below.

User Name:
Password
Please enter a password for your user account. Note that passwords are case-sensitive.

Password:


Confirm Password:
Email Address
Please enter a valid email address.
NOTE we receive a lot of registrations with bad email addresses. IF you do not receive your confirmation email you will not be able to post. contact support and we will try and help.
Be sure you enter a valid email address and check your spam folder as well.



Email Address:
OR

Log-in










Thread Tools
Show Printable Version Show Printable Version
Email this Page Email this Page
Display Modes
Linear Mode Linear Mode



Posting Rules  
You may post new threads
You may post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On

 
For the best viewing experience please update your browser to Google Chrome